Page MenuHomePhabricator

Deduplicate entity ID lists in DependencyMetadata
Closed, ResolvedPublic

Description

If we don’t deduplicate entity ID lists in DependencyMetadata::merge, the cutoff of T188312: Don’t pass overly long entity ID lists to WikiPageEntityDataAccessor might be too low. Not sure. But in any case it probably means unnecessarily large queries for the revision information.

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as High priority.Feb 27 2018, 6:08 PM
Lucas_Werkmeister_WMDE created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 6:08 PM

Change 415063 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Deduplicate entity IDs in DependencyMetadata::merge()

https://gerrit.wikimedia.org/r/415063

Change 415063 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Deduplicate entity IDs in DependencyMetadata::merge()

https://gerrit.wikimedia.org/r/415063

Lucas_Werkmeister_WMDE closed this task as Resolved.Feb 28 2018, 1:38 PM
Lucas_Werkmeister_WMDE moved this task from Review to Done on the Wikidata-Sprint-2018-02-14 board.
Lucas_Werkmeister_WMDE moved this task from Review to Done on the Wikidata-Sprint-2018-02-28 board.